import React from 'react';
import { tileSize } from './map';

const tileProvider = (zoom: number, x: number, y: number) =>
  'https://tile.openstreetmap.org/' + zoom + '/' + x + '/' + y + '.png';

const Tile: React.FC<{
  ix: number;
  iy: number;
  x: number;
  y: number;
  zoom: number;
}> = (props: {
  ix: number;
  iy: number;
  x: number;
  y: number;
  zoom: number;
}) => {
  return (
    <img
      src={tileProvider(props.zoom, props.x, props.y)}
      className='tile'
      alt=''
    />
  );
};

export default Tile;
